<form onsubmit="return validateFile()" method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_ppid_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_ppid_create' %}"
    {% endif %}>

    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}

    <div class="form-group">
        <label for="{{ form.title.id_for_label }}">Judul PPID</label>
        <input type="text" placeholder="Masukkan judul PPID..."
            class="form-control {% if form.title.errors %}is-invalid{% endif %}"
            name="{{ form.title.name }}"
            id="{{ form.title.id_for_label }}" 
            maxlength="{{ form.title.field.max_length }}"
            {% if form.title.value != None %}value="{{ form.title.value|stringformat:'s' }}"{% endif %}
            {% if form.title.field.required %}required{% endif %} >
        {% if form.title.errors %}
            <div class="invalid-feedback">
                {{ form.title.errors }}
            </div>
        {% endif %}
    </div>
   
    <div for="{{ form.description.id_for_label }}">Konten PPID</div>
    <div class="">
        {{form.description}}
    </div>
    
    <div class="form-group">
        <label for="{{ form.tags.id_for_label }}">Tags PPID</label>
        <input type="text" data-role="tagsinput"
            placeholder="Masukkan Tags PPID..."
            class="form-control {% if form.tags.errors %}is-invalid{% endif %}"
            name="{{ form.tags.name }}"
            id="{{ form.tags.id_for_label }}" 
            maxlength="{{ form.tags.field.max_length }}"
            {% if form.tags.value != None %}value="{{ tagsnya }}"{% endif %}
            {% if form.tags.field.required %}required{% endif %} >
        <small id="passwordHelp" class="form-text text-muted">
            Ketikan Tags, lalu tekan <b>ENTER</b>.
        </small>
        {% if form.tags.errors %}
            <div class="invalid-feedback">
                {{ form.tags.errors }}
            </div>
        {% endif %}
    </div>
    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>